std::bad_cast(3cxx)

NAME
std::bad_cast - Thrown during incorrect typecasting.

SYNOPSIS

#include <typeinfo>

Inherits std::exception.

Inherited by std::experimental::fundamentals_v1::bad_any_cast.

  Public Member Functions

virtual constexpr const char * what () const noexcept

Detailed Description

Thrown during incorrect typecasting.

If you attempt an invalid dynamic_cast expression, an instance of this class (or something derived from this class) is thrown.

Member Function Documentation

  virtual constexpr const char * std::bad_cast::what () const [inline], [constexpr], [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Reimplemented in std::experimental::fundamentals_v1::bad_any_cast.

Author

Generated automatically by Doxygen for libstdc++ from the source code.